# Revoke a Model Revokes a model with a workflow so it can be deleted afterward. Only models with the workflow status = APPROVED or NO_APPROVAL_REQUIRED can be revoked. The revoke action will set the workflow status of a model to WITHDRAWN. Once revoked, the model is back in an editable state and can be deleted by users having the right to do so. Required roles: - PO_MCMO_MANAGER (Administrate Model Classes/Objects) - PO_MCMO (Manage Model Objects) - for models in Module Categories (see User Group Entitlements in Module Categories): MODULECATEGORY_MO_MANAGER (Manage Model in Module Category) Endpoint: POST /optimization.modelrevoke/{typedId} Security: basic, X-PriceFx-jwt ## Path parameters: - `typedId` (string, required) typedId of the model you want to revoke. ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (array) - `response.data.lastUpdateByName` (string,null) - `response.data.createdByName` (string,null) - `response.data.typedId` (string) - `response.data.workflowStatus` (string) Enum: "DRAFT", "SUBMITTED", "DENIED", "APPROVED", "NO_APPROVAL_REQUIRED", "WITHDRAWN", "INVALIDATED" - `response.data.lastUpdateDate` (string,null) - `response.data.approvedBy` (integer,null) - `response.data.submitDate` (string,null) - `response.data.deniedByName` (string,null) - `response.data.submittedByName` (string,null) - `response.data.userGroupViewDetails` (string,null) - `response.data.approvedByName` (string,null) - `response.data.state` (object,null) - `response.data.id` (integer,null) - `response.data.createDate` (string,null) - `response.data.submittedBy` (integer,null) - `response.data.deniedBy` (integer,null) - `response.data.label` (string,null) - `response.data.moduleCategoryUN` (string,null) - `response.data.version` (integer,null) - `response.data.currentStep` (string,null) - `response.data.uniqueName` (string,null) - `response.data.createdBy` (integer,null) - `response.data.userGroupEdit` (string,null) - `response.data.modelClassUN` (string,null) - `response.data.status` (string) Enum: "INVALID", "DRAFT", "CALCULATING", "ERROR", "READY" - `response.data.lastUpdateBy` (integer,null) ## Response 400 fields ## Response 403 fields ## Response 404 fields